#!/bin/sh

# Lengths of the paired interval
Lbd=1        #this is fake
Lad=7
Lbe=7
Lat=7
Lbt=9
Lds=9
Les=7
Lst=16

# GC-content of the paired part
# used to compute kon
fCGbd=0.5        #this is fake
fCGad=7.14286E-01
fCGbe=5.71429E-01
fCGat=7.14286E-01
fCGbt=4.44444E-01
fCGds=6.66667E-01
fCGes=5.71429E-01
fCGst=5.0E-01

# Binding entropies
Sbd=0.0        #this is fake
Sad=-1.73E-01
Sbe=-1.4125E-01
Sat=-1.73E-01
Sbt=-1.995E-01
Sds=-2.2575E-01
Ses=-1.4125E-01
Sst=-3.9225E-01

# Binding enthalpies
Hbd=0.0        #this is fake
Had=-6.4365E+01
Hbe=-5.07024E+01
Hat=-6.4365E+01
Hbt=-7.11634E+01
Hds=-8.32036E+01
Hes=-5.07024E+01
Hst=-1.45603E+02

# Initial conditions
A0=50.E-6                   # M
B0=50.E-6                   # M
E0=50.E-6                   # M
D0=50.E-6                   # M
T0=0.5E-6                   # M
S0=0.5E-6                   # M
SunY0=2.5E-6                # M

# Temperature cycling parameters
cycleNum=1
cycleTime=360.0            # s
heatingRamp=5.0             # °C/s
hotTime=1.0                 # s
coolingRamp=230.0             # °C/s
step=0.0001                 # s
printPeriod=10.0              # s
printPeriodHeat=0.5         # s
tcelsius=40.0               # reaction temperature, °C
tHeatCelsius=80.0           # heating temperature, °C

# General model parameters
kdeg=0.002                 # SunY degradation rate at 80°C, 1/s
delayModel=None             # Must be one of: None, Activation, Lag
suppressBDbinding=TRUE
degSunY=TRUE
Tlag=2700.0                 # 0.72/3600, SunY fixed activation time, s
kact=0.000555556            # 1./(45*60), SunY activation rate, 1/s
kEnz=166.6666667            # 0.3/3600/0.5E-6 <- 1 / M s, = 0.3/h at 0.5 µM SunY

# Error tolerances for the adaptive Runge-Kutta method
rtol=2.0E-3                 # relative error tolerance
atol=1.0E-8                 # absolute error tolerance, M

# General parameters for the kon computations
kUni=2.1E5                  # 1 / s
kBi=1.6E7                   # 1 / M s
DeltaGCG=3.06               # kcal / mol bp
DeltaGAU=1.32               # kcal / mol bp
DeltaGini=3.18              # kcal / mol

#end-of-parameters

program=MutualLigationContT

args="$fCGbd $fCGad $fCGbe $fCGat $fCGbt $fCGds $fCGes $fCGst $Sbd $Sad $Sbe $Sat $Sbt $Sds $Ses $Sst $Hbd $Had $Hbe $Hat $Hbt $Hds $Hes $Hst $A0 $B0 $E0 $D0 $T0 $S0 $SunY0 $cycleTime $heatingRamp $hotTime $coolingRamp $step $tcelsius $tHeatCelsius $printPeriod $printPeriodHeat $kdeg $Tlag $kact $kEnz $kUni $kBi $DeltaGCG $DeltaGAU $DeltaGini $rtol $atol $Lbd $Lad $Lbe $Lat $Lbt $Lds $Les $Lst $cycleNum $suppressBDbinding $degSunY $delayModel"

echo '# Result of a simulation by '$program' with the following parameters:' > result.txt
tail -n+2 $0 | sed '/#end-of-parameters/q' | sed 's/#//g' | sed 's/^/# /g' >> result.txt
$program $args >> result.txt
